> 1 <

Автор Сообщение

George123

Members


Статус

1 сообщений

Где: Russia
Род занятий:
Возраст:

#8480   2021-04-04 16:04 GMT+3 часа(ов)      
Здравствуйте!

Подскажите, как округлить значение поля, до 2 значений после точки?

Заранее спасибо.

(defun C:LF (/ acsp adoc ent mtx p1 p2 pline txt)
(vl-load-com)
(or adoc
(setq adoc
(vla-get-activedocument
(vlax-get-acad-object)
)
)
)
(if (and
(= (getvar "tilemode") 0)
(= (getvar "cvport") 1)
)
(setq acsp (vla-get-paperspace adoc))
(setq acsp (vla-get-modelspace adoc))
)
(setq
pline (vlax-ename->vla-object
(car (setq ent (entsel "\n >> Выбрать полилинию >> \n")))
)
)
(setq txt
(strcat
"%<\\AcObjProp Object(%<\\_ObjId "
(itoa (vla-get-objectid pline))
">%).Area >%"
)
)
(setq p1 (cadr ent)
p2 (getpoint p1 "\nВторая точка >> \n")
)
(setq mtx (vlax-invoke
acsp 'AddMText p2 0.0 txt)
)
(vlax-put mtx
'AttachmentPoint
(cond ((> (car p1) (car p2))
acAttachmentPointMiddleRight
)
((< (car p1) (car p2))
acAttachmentPointMiddleLeft
)
(T acAttachmentPointMiddleLeft)
)
)

(vlax-invoke
acsp
'Addleader
(apply 'append (list p1 p2))
mtx
acLineWithArrow
)
(vl-catch-all-apply
(function (lambda ()
(progn
(vlax-release-object mtx)
(vlax-release-object pline)
)
)
)
)
(vla-regen adoc acactiveviewport)
(princ)
)
(prompt "\n")
(prompt "\t\t<<< Ввести LF для старта программы : >>> \n")
(princ)
; TesT : (C:LF)
> 1 <


Онлайн :

0 пользователь(ей), 26 гость(ей) :